'use strict';

var readFile = require('./q-mod-myfs-readFile');
var stripJsonComments = require('strip-json-comments');
//https://github.com/sindresorhus/strip-json-comments
// const laodJsonFile = require('load-json-file');
// https://github.com/sindresorhus/load-json-file

/**
 * readJson - odczytuje i parsuje pliki JSON
 * @param  {str}    plik sciezka do pliku
 * @return {obj}    parsed JSON (P)
 */
module.exports = function readJSON(pathToFile) {
  return readFile(pathToFile).then(stripJsonComments).then(JSON.parse).catch(function (e) {
    throw new Error('q-mod-myfs - ' + readJSON.name + '(): file: ' + pathToFile + ' - ' + e);
  });
};

// old 0.3.0
/**
 * readJson - odczytuje i parsuje pliki JSON
 * @param  {str}    plik sciezka do pliku
 * @return {obj}    parsed JSON
 */
// module.exports = (file) => {
//   // let readFile = laodJsonFile.sync(file);
//   let readContentFile = fs.readFileSync(file, 'utf8');
//   let stripedComments = stripJsonComments(readContentFile);
//   let JSONtoReturn = JSON.parse(stripedComments);
//   return JSONtoReturn;
// };