'use strict';

var ifExists = require('./q-mod-myfs-ifexists');
var readFile = require('./q-mod-myfs-readFile');
var readJSON = require('./q-mod-myfs-readJSON');
var makeDir = require('./q-mod-myfs-makeDir');
var makeFile = require('./q-mod-myfs-makeFile');
var delDir = require('./q-mod-myfs-delDir');
var copyFile = require('./q-mod-myfs-copyFile');
var compareFiles = require('./q-mod-myfs-compareFiles');
var openFileInWin = require('./q-mod-myfs-openFileInWin');

var _require = require('./q-mod-myfs-zipDir');

var zipDir = _require.zipDir;

var _require2 = require('./q-mod-myfs-filesList');

var filesList = _require2.filesList;

// module q-mod-mysf API:

module.exports = {
  ifExists: ifExists,
  readFile: readFile,
  readJSON: readJSON,
  makeDir: makeDir,
  makeFile: makeFile,
  delDir: delDir,
  copyFile: copyFile,
  compareFiles: compareFiles,
  openFileInWin: openFileInWin,
  zipDir: zipDir,
  filesList: filesList
};