'use strict';

var jetpack = require('fs-jetpack');

/**
 * compareFiles - porównuje dwa pliki
 * @param  {str}  plik1 scieżka do pliku 1 do porównania
 * @param  {strr} plik2 scieżka do pliku 2 do porównania
 * @return {bool} true/false - taki sam lub nie
 */
module.exports = function compareFiles(plik1, plik2) {
  var method = { checksum: 'md5' };
  var file1 = jetpack.inspect(plik1, method);
  var file2 = jetpack.inspect(plik2, method);
  var areTheSame = file1.md5 === file2.md5;
  return areTheSame;
};