'use strict';

var jetpack = require('fs-jetpack');

/**
 * ifExists - sprawdza czy istnieje plik lub katalog
 * @param  {str} sciezka  do pliku lub katalogu
 * @param  {str} 'boolean'  boolean  method
 * @return {str}          false, "dir", "file", "other" // if boolean on - true/false
 */
module.exports = function (filePath, ifBoolean) {
  var fTest = jetpack.exists(filePath);
  if (ifBoolean === 'boolean') {
    if (fTest === 'file') {
      return true;
    } else if (fTest === 'dir') {
      return true;
    } else {
      return fTest;
    }
  } else {
    return fTest;
  }
};