'use strict';

var jetpack = require('fs-jetpack');

/**
 * makeFile - tworzy plik (możliwe z zawartością)
 * @param  {str}    plik        scieżka do pliku nowego
 * @param  {str}    zawartosc   zawartość pliku
 * @return I/O
 */
function makeFile(plik, zawartosc) {
  var coWrzucic = { content: zawartosc };
  jetpack.file(plik, coWrzucic);
}

// module API:
module.exports = makeFile;