"use strict";

var execFile = require('child_process').execFile;

/**
 * openFile - otwiera w sys. windows pliki, strony, katalogi i programy
 * @param  {srt} sciezkaDoPliku     - lub do strony www
 * @param  {srt} sciezkaDoProgramu - lub do katalogu, lub programu, jeżeli
 *                                  jest on w PATH systemowym.
 * @return I/O
 * @example
 * sciezkaDoProgramu: wo, explorer, m, ps, home, firefox
 */
module.exports = function openFile(sciezkaDoPliku, sciezkaDoProgramu) {
  // sciezkaDoPliku.replace(/&/g, '^&') - bug
  // console.log('sciezkaDoPliku, sciezkaDoProgramu -->' , sciezkaDoPliku, sciezkaDoProgramu);
  var openIt = execFile("cmd", ["/c", "start", '""', sciezkaDoProgramu, sciezkaDoPliku]);
};