'use strict';

// const jetpack = require('fs-jetpack');
var fs = require('fs');
/**
 * readFile - spromisowany reader plików
 * @param  {[type]} sciezkaDoPliku
 * @param  {[type]} encoding  domyslnie 'utf8'; 'buffer',
 * @return {Promise}
 */
module.exports = function readFile(pathToFile) {
  var encoding = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'utf8';

  return new Promise(function (fulfill, reject) {
    fs.readFile(pathToFile, encoding, function (err, data) {
      if (err) reject(new Error('q-mod-myfs - ' + readFile.name + '(): ' + err));else fulfill(data);
    });
  });
};

// old 0.3.0
/**
 * readFile - spromisowany reader plików
 * @param  {[type]} sciezkaDoPliku [description]
 * @param  {[type]} zczytajJako    zgodnie z API jestpack: 'utf8', 'buffer',
 *                                 'json', 'jsonWithDates'
 * @return {Promise}
 */

// module.exports = function readFile(sciezkaDoPliku, zczytajJako) {
// var _path = sciezkaDoPliku;
// var _returnAs = zczytajJako;
// return jetpack.readAsync(_path, _returnAs);
// };